#!/bin/sh
#
###########################################
# Create Scripts
###########################################
cd bin

# Creating uninstall script...

# echo "if [ -f /etc/pbeagent.pid ]" > uninstall
# echo "then" >> uninstall
# echo "/etc/rc.d/init.d/PBEAgent stop" >> uninstall
# echo "fi" >> uninstall

# using echo puts a newline at the end.  
# using printf does not put newline.  
# each is used where necessary

echo "#!/bin/sh" > startup
if [[ $LANG = ja* ]]; then
  echo "export LC_ALL=ja_JP" >> startup
elif [[ $LANG = POSIX ]] || [[ -z $LANG ]]; then
  if [[ `grep LANG /etc/sysconfig/i18n` = LANG=\"ja* ]]; then
    echo "export LC_ALL=ja_JP" >> startup
  fi 2>/dev/null
fi
echo "case \"\$1\" in" >> startup
echo "start)" >> startup
echo "        ps \`cat /etc/pbeagent.pid 2>/dev/null | awk \"{ print \"'\$1'\" }\"\` | grep Dpicard.main.thread > /dev/null" >> startup
echo "        if [ \$? = 0 -a -e /etc/pbeagent.pid ]" >> startup
printf "\tthen\n" >> startup
printf "\t\techo Process Already Started. Cannot start twice.\n" >> startup
printf "\telse\n"  >> startup
printf "\t\tcd $RPM_INSTALL_PREFIX \n" >> startup
printf "\t\texport LD_LIBRARY_PATH=\$LD_LIBRARY_PATH:$RPM_INSTALL_PREFIX/lib/linux\n"  >> startup
printf "\t\t/bin/java/jre/1.4/bin/java -Dpicard.main.thread=blocking -classpath " >> startup
printf "./lib/AdvSnmp.jar:./lib/application.jar:./lib/jsdk.jar:"  >> startup
printf "./lib/comm.jar:./lib/mail.jar:./lib/RXTXComm.jar:" >> startup
printf "./lib/util.jar:./lib/m11.jar:./lib/ds.jar:./lib/pcbe_ds.jar:" >> startup
printf "./lib/sss.jar:./lib/activation.jar:./Resources/Japanese.jar:" >> startup
printf "./comp/AliCommunication.jar:./comp/CommandFileRunner.jar:./comp/DataLogger.jar:" >> startup
printf "./comp/DiscoveryListener.jar:./comp/EventLogger.jar:./comp/EventTracker.jar:" >> startup
printf "./comp/Host.jar:./comp/http.jar:./comp/picard.jar:./comp/PowerSource.jar:" >> startup
printf "./comp/QueryServer.jar:./comp/Security.jar:./comp/ShutdownBehavior.jar:" >> startup
printf "./comp/Shutdowner.jar:./comp/SimpleBroadcaster.jar:./comp/SMTPMailer.jar:" >> startup
printf "./comp/UPSManagerAutoUpdate.jar:./comp/shutdownerlets/OSShutdownerlet.jar" >> startup
printf " com.apcc.m11.application.PicardApplication @critical.cfg " >> startup 
printf "2>/dev/null 1>/dev/null &\n" >> startup
echo "                echo \$! >/etc/pbeagent.pid" >> startup
echo "                touch /var/lock/subsys/PBEAgent 1>/dev/null 2>/dev/null" >>startup
echo "                exit \$?" >> startup
echo "        fi" >> startup
echo "        ;;" >> startup
echo "stop)" >> startup
echo "        PID=\`cat /etc/pbeagent.pid 2>/dev/null | awk \"{ print \"'\$1'\" }\"\`" >> startup
echo "        kill \$PID 1>/dev/null 2>/dev/null" >> startup
echo "        rm -f /etc/pbeagent.pid 1>/dev/null 2>/dev/null" >> startup
echo "        rm -f /var/lock/subsys/PBEAgent 1>/dev/null 2>/dev/null" >> startup
echo "        exit \$?" >> startup
echo "        ;;" >> startup
echo "*)" >> startup
echo "        echo \"Usage \$0 {start|stop}\"" >> startup
echo "        exit 1" >> startup
echo "        ;;" >> startup
echo "esac" >> startup

cd ..

# Creating config.sh script...
echo "#!/bin/sh" > config.sh
echo "if [ -z \$1 ]" >> config.sh
echo "then clear" >> config.sh
echo "fi" >> config.sh
echo "# config.sh for PCBE rpm install ver 6.3." >> config.sh
echo "# Configures PCBE 6.3." >> config.sh
echo "# Stop agent if running" >> config.sh
echo "ps \`cat /etc/pbeagent.pid 2>/dev/null | awk \"{ print \"'\$1'\" }\"\` > /dev/null" >> config.sh
echo "if [ \$? = 0 -a -e /etc/pbeagent.pid ]" >> config.sh
echo "then" >> config.sh
echo "PID=\`cat /etc/pbeagent.pid 2>/dev/null | awk \"{ print \"'\$1'\" }\"\`" >> config.sh
echo "kill \$PID 1>/dev/null 2>/dev/null" >> config.sh
echo "rm -f /etc/pbeagent.pid 1>/dev/null 2>/dev/null" >> config.sh
echo "fi" >> config.sh
echo "# Prepare to change parameters" >> config.sh
echo "cd $RPM_INSTALL_PREFIX" >> config.sh
echo "/bin/java/jre/1.4/bin/java -jar ./lib/pcbeconfig.jar \$1 \$2 \$3 \$4 \$5" >> config.sh

# Set file permissions
chmod 0540 $RPM_INSTALL_PREFIX/bin/startup
chmod 0540 $RPM_INSTALL_PREFIX/config.sh

